com.ibm.openpages.api.workflow

## Interface IWFActivityNotificationDefinition

-     public interface IWFActivityNotificationDefinition

  Interface that represents workflow activity notification definition.
  Since:
    8.2.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWFEvalUnit` | `getFirstNotification()` Get the number of days before the task's due date on which to send the first notification for the task
    `IWFEvalUnit` | `getNotificationFrequency()` Get the frequency, in days, for sending notifications after the first one is sent
    `IWFEvalUnit` | `getOverdueNotificationFrequency()` Get the frequency, in days, to send notifications once the task is overdue
    `boolean` | `isEnabled()` Determine whether the task notification is enabled
    `boolean` | `isNotifyAssignees()` Get whether notifications should be sent to the task assignees
    `boolean` | `isNotifyOnDueDate()` Get whether a notification should be sent when the task becomes due
    `boolean` | `isNotifySubscribers()` Get whether notifications should be sent to the task subscribers
    `void` | `setEnabled(boolean enabled)` Set the enabled flag for the notification
    `void` | `setFirstNotification(IWFEvalUnit daysBeforeDueDate)` Set the number of days before the task's due date on which to send the first notification for the task
    `void` | `setNotificationFrequency(IWFEvalUnit notificationFrequency)` Set the frequency, in days, for sending notifications after the first one is sent
    `void` | `setNotifyAssignees(boolean notifyAssignees)` Set whether notifications should be sent to the task assignees
    `void` | `setNotifyOnDueDate(boolean notifyOnDueDate)` Set whether a notification should be sent when the task becomes due
    `void` | `setNotifySubscribers(boolean notifySubscribers)` Set whether notifications should be sent to the task subscribers
    `void` | `setOverdueNotificationFrequency(IWFEvalUnit overdueNotificationFrequency)` Set the frequency, in days, to send notifications once the task is overdue

- - ### Method Detail

    - #### isEnabled

          boolean isEnabled()

      Determine whether the task notification is enabled
      Returns:

    - #### setEnabled

          void setEnabled(boolean enabled)

      Set the enabled flag for the notification
      Parameters:
        `enabled` -

    - #### getFirstNotification

          IWFEvalUnit getFirstNotification()

      Get the number of days before the task's due date on which to send the first notification for the task
      Returns:
        the number of days prior to the due date for which to send the first notification

    - #### setFirstNotification

          void setFirstNotification(IWFEvalUnit daysBeforeDueDate)

      Set the number of days before the task's due date on which to send the first notification for the task
      Parameters:
        `daysBeforeDueDate` - the number of days before the due date

    - #### getNotificationFrequency

          IWFEvalUnit getNotificationFrequency()

      Get the frequency, in days, for sending notifications after the first one is sent
      Returns:
        the number of days between notifications

    - #### setNotificationFrequency

          void setNotificationFrequency(IWFEvalUnit notificationFrequency)

      Set the frequency, in days, for sending notifications after the first one is sent
      Parameters:
        `notificationFrequency` - the number of days between notifications

    - #### isNotifyOnDueDate

          boolean isNotifyOnDueDate()

      Get whether a notification should be sent when the task becomes due
      Returns:
        true to send a notification, false otherwise

    - #### setNotifyOnDueDate

          void setNotifyOnDueDate(boolean notifyOnDueDate)

      Set whether a notification should be sent when the task becomes due
      Parameters:
        `notifyOnDueDate` - true to send a notification, false otherwise

    - #### setOverdueNotificationFrequency

          void setOverdueNotificationFrequency(IWFEvalUnit overdueNotificationFrequency)

      Set the frequency, in days, to send notifications once the task is overdue
      Parameters:
        `overdueNotificationFrequency` - the number of days between notifications

    - #### getOverdueNotificationFrequency

          IWFEvalUnit getOverdueNotificationFrequency()

      Get the frequency, in days, to send notifications once the task is overdue
      Returns:
        the number of days between notifications

    - #### setNotifyAssignees

          void setNotifyAssignees(boolean notifyAssignees)

      Set whether notifications should be sent to the task assignees
      Parameters:
        `notifyAssignees` - true to send the notifications to the task assignees, false otherwise

    - #### isNotifyAssignees

          boolean isNotifyAssignees()

      Get whether notifications should be sent to the task assignees
      Returns:
        true to send the notifications to the task assignees, false otherwise

    - #### setNotifySubscribers

          void setNotifySubscribers(boolean notifySubscribers)

      Set whether notifications should be sent to the task subscribers
      Parameters:
        `notifySubscribers` - set to true to send the notifications to the task subscribers, false otherwise

    - #### isNotifySubscribers

          boolean isNotifySubscribers()

      Get whether notifications should be sent to the task subscribers
      Returns:
        true to send the notifications to the task subscribers, false otherwise

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.